<?php
	require_once("models/login.php");
	require_once("models/iex16_profile.php");
	require_once("helpers/input.php");
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("helpers/form.php");
	require_once("helpers/filesystem.php");

	Login::require_login();

	$mac = Input::get('mac');

	// if this device is online, pull the prefs
	$devices = MyMix_Discover::get_devices("iex16");
	foreach($devices as $this_device)
	{
		if($this_device['mac'] == $mac)
		{
			FTP::pull_iex16_profile($this_device['ip_address'], $mac);
			break;
		}
	}
    // Properly terminate the FTP session
    FTP::disconnect();
    
    // Ensure changes are written to disk
    Filesystem::sync();

	$profile = new IEX16_Profile(Config::get_item('iex16_devices_dir') . $mac . "/prefs");

	$input_mode_options = array(
		"DM" => "Dual Mono",
		"S" => "Stereo",
		"N" => "Disabled"
	);
	$channel_gain_options = array(
		"0dB" => "0dB",
		"6dB" => "6dB",
		"12dB" => "12dB"
	);
	$adat_options = array(
		'line' => 'Line',
		'adat' => 'ADAT'
	);

	$title = "MyMix Control - Edit IEX16";

    $ID = "edit_iex16";

	require("views/header.php");
	require("views/edit-iex16.php");
	require("views/footer.php");

/* End of edit-iex16.php */
