<?php
require_once("helpers/config.php");

class Clipboard
{
    // Saves the mac and name of profile to be pasted later
    public static function copy_mymix_profile($mac, $profile_name)
    {
        $data = $mac . "\n" . $profile_name;
		file_put_contents(Config::get_item('copied_mymix_profile'), $data);
    }
    
    // Saves the mac whose locks will be pasted later
    public static function copy_mymix_locks($mac)
    {
        file_put_contents(Config::get_item('copied_mymix_lock'), $mac);
    }
    
    // Returns an array containing mac and name of copied profile.
    public static function get_mymix_profile()
    {
        $retval = array('mac' => "", 'profile_name' => "");
    
        if(file_exists(Config::get_item('copied_mymix_profile')))
        {
            $data = file_get_contents(Config::get_item('copied_mymix_profile'));
	        $data = explode("\n", $data);
	        $retval['mac'] = $data[0];
	        $retval['profile_name'] = $data[1];
	    }
	    
	    return $retval;
    }
    
    // Returns an array containing the mac of the device whose locks have been copied.
    public static function get_mymix_locks()
    {
        $retval = array('mac' => "");
        
        if(file_exists(Config::get_item('copied_mymix_lock')))
        {
            $retval['mac'] = file_get_contents(Config::get_item('copied_mymix_lock'));
        }
        
        return $retval;
    }
    
    // Clears the copied profile
    public static function clear_mymix_profile()
    {
        unlink(Config::get_item('copied_mymix_profile'));
    }
    
    // Clears the copied locks
    public static function clear_mymix_locks()
    {
        unlink(Config::get_item('copied_mymix_lock'));
    }
}

/* End of clipboard.php */
