<?php

class Validate
{
	// Returns TRUE if the mac is valid, FALSE otherwise.
	public static function mac_address($mac)
	{
		$mac = strtolower($mac);
		return preg_match('/^[a-f0-9]{2}:[a-f0-9]{2}:[a-f0-9]{2}:[a-f0-9]{2}:[a-f0-9]{2}:[a-f0-9]{2}$/i', $mac);
	}

	// Returns a properly formatted version of the input MAC address, if possible.
	public static function format_mac_address($mac)
	{
		$retval = $mac;
		$fields = explode(":", $mac);
		if(count($fields) == 6)
		{
			$retval = sprintf("%02x:%02x:%02x:%02x:%02x:%02x", hexdec($fields[0]), hexdec($fields[1]), hexdec($fields[2]), hexdec($fields[3]), hexdec($fields[4]), hexdec($fields[5]));
		}

		return $retval;
	}
}

/* End of validation.php */
