<?php

	// Load required libraries
	require_once("models/login.php");
	require_once("helpers/url.php");
	require_once("helpers/input.php");
	require_once("helpers/config.php");

	// Variables to control page behavior
	$show_form = TRUE;
	$error_message = "";

	// Message to display if a user is already logged in
	$logged_in_message = Login::get_user_logged_in();

	// Input from user, if any
	$attempt_login = Input::post('attempt_login');
	$username = Input::post('username');
	$password = Input::post('password');

	// Attempt to login, if requested
	if($attempt_login == "yes")
	{
		$login_response = Login::log_in($username, $password);
		if($login_response == "ok")
		{
			$show_form = FALSE;
			Url::redirect(Config::get_item('url_segment_base'));
		}
		elseif($login_response == "admin")
		{
			$error_message = "Regular users cannot login when admin is logged in";
		}
		else
		{
			$error_message = "Incorrect user name or password";
		}
	}

	// Display login form
	if($show_form)
	{
		$title = "Login page";
		$ID = "home";

		require("views/header.php");
		require("views/login_form.php");
		require("views/footer.php");
	}

/* End of login.php */
