<?php

class Project {
	public static function get_local_saved_list()
	{
		require_once("helpers/config.php");
		$retval = array();

		$full_paths = glob(Config::get_item('saved_projects_dir') . "*" . Config::get_item('project_file_ext'));
		foreach($full_paths as $this_path)
		{
			$path_parts = pathinfo($this_path);
			$retval[ $path_parts['filename'] ] = $path_parts['filename'];
		}

		return $retval;
	}

	public static function get_external_saved_list()
	{
		require_once("helpers/config.php");
		$retval = array();

		$full_paths = glob(Config::get_item('external_projects_dir') . "*" . Config::get_item('project_file_ext'));
		foreach($full_paths as $this_path)
		{
			$path_parts = pathinfo($this_path);
			$retval[ $path_parts['filename'] ] = $path_parts['filename'];
		}

		return $retval;
	}

	// Erase the current project and create a new empty one
	public static function create_new()
	{
		require_once("models/project_file.php");
		require_once("helpers/config.php");
		$command = "rm -rf " . Config::get_item('active_project_dir') . "*";
		exec($command);

		$project_file = new Project_File(Config::get_item('active_project_dir') . "project.xml");
		$project_file->save();
	}

	public static function delete_saved_project($project_name)
	{
		unlink(Config::get_item('saved_projects_dir') . $project_name . Config::get_item('project_file_ext'));
	}
}

/* End of project.php */
