<?php

require_once("models/login.php");
require_once("models/mymix_profile.php");
require_once("helpers/url.php");
require_once("helpers/input.php");
require_once("models/mymix_discover.php");
require_once("helpers/ftp.php");
require_once("helpers/filesystem.php");

Login::require_login();

$mac = Input::post("mac");
$profile_name = Input::post("profile_name");
$unit_name = Input::post("remote_unit_name");
$channel_name = Input::post("channel_name");
$remote_mac = Input::post("remote_mac");
$selected = Input::post("selected");
$input_mode = Input::post("input_mode");

if($selected != 1)
{
	$selected = 0;
}

$profile = new MyMix_Profile(Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $profile_name);
$profile->add_remote_channel($unit_name, $channel_name, $remote_mac, $selected, $input_mode);
$profile->save();

// if this device is online, push the profile
$devices = MyMix_Discover::get_devices("mymix");
foreach($devices as $this_device)
{
	if($this_device['mac'] == $mac)
	{
		FTP::push_mymix_profile($this_device['ip_address'], $mac, $profile_name);
		
		// Properly terminate the FTP session
        FTP::disconnect();
        
		break;
	}
}

// Ensure changes are written to disk
Filesystem::sync();

Url::redirect("mymix-edit-channel-select.php?mac=" . urlencode($mac) . "&profile_name=" . $profile_name);

/* end of mymix-add-remote-channel.php */
