<?php
	require_once("models/login.php");
	require_once("models/mymix_preference.php");
	require_once("helpers/input.php");
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("helpers/filesystem.php");

	Login::require_login();

	$mac = Input::post('mac');

	$prefs = new MyMix_Preference(Config::get_item('mymix_devices_dir') . $mac . "/prefs");
	$prefs->set_current_profile(Input::post('current_profile'));
	$prefs->save();

	// if this device is online, push the prefs
	$devices = MyMix_Discover::get_devices("mymix");
	foreach($devices as $this_device)
	{
		if($this_device['mac'] == $mac)
		{
			FTP::push_mymix_preference($this_device['ip_address'], $mac);
			
			// Properly terminate the FTP session
            FTP::disconnect();
    
			break;
		}
	}
	
	// Ensure changes are written to disk
    Filesystem::sync();

	Url::redirect("mymix-detail.php?mac=" . urlencode($mac));

/* End of save-mymix.php */
