<?php
require_once("models/login.php");
require_once("helpers/input.php");
require_once("models/mymix_profile.php");
require_once("helpers/url.php");
require_once("models/mymix_preference.php");
require_once("helpers/ftp.php");
require_once("models/mymix_discover.php");
require_once("helpers/filesystem.php");

$mac = Input::post('mac');
$current_profile_name = Input::post('profile_name');
$new_profile_name = MyMix_Profile::sanitize_name("Copy " . $current_profile_name);

// find IP address for this MAC
$ip_address = "";
$devices = MyMix_Discover::get_devices("mymix");
foreach($devices as $this_device)
{
	if($this_device['mac'] == $mac)
	{
		$ip_address = $this_device['ip_address'];
		break;
	}
}

// Copy profile
MyMix_Profile::copy_profile($mac, $current_profile_name, $new_profile_name);
// Push new profile name to myMix
if(!empty($ip_address))
{
	FTP::push_mymix_profile($ip_address, $mac, $new_profile_name);
}

// Update prefs if this was the current profile
$pref_path = Config::get_item('mymix_devices_dir') . $mac . "/prefs";
$pref = new MyMix_Preference($pref_path);

if($pref->get_current_profile() == $current_profile_name)
{
	$pref->set_current_profile($new_profile_name);
	$pref->save();
	// Sync prefs
	if(!empty($ip_address))
	{
		FTP::push_mymix_preference($ip_address, $mac);
	}
}

// Properly terminate the FTP session
FTP::disconnect();

// Ensure changes are written to disk
Filesystem::sync();

Url::redirect("mymix-edit-profile.php?mac=" . urlencode($mac) . "&profile_name=" . urlencode($new_profile_name));

/* end of mymix-copy-profile.php */
