<?php
	require_once("models/login.php");
	require_once("helpers/input.php");
	require_once("models/mymix_profile.php");
	require_once("helpers/form.php");
	require_once("models/mymix_preference.php");
	require_once("helpers/mymix_logic.php");
	require_once("helpers/ftp.php");
	require_once("models/mac_labels.php");
	require_once("helpers/filesystem.php");
	require_once("models/mymix_discover.php");

	Login::require_login();

	$mac = Input::get('mac');
	$profile_name = Input::get('profile_name');

	// Sync the latest channel list
	MyMix_Logic::sync_profile_with_channels($mac, $profile_name);

	$prefs = new MyMix_Preference(Config::get_item('mymix_devices_dir') . $mac . "/prefs");
	$profile = new MyMix_Profile(Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $profile_name);

	$channels = MyMix_Logic::get_channels_with_extra_data($mac, $profile_name, $prefs, $profile, FALSE);
	
	//$project_file = new Project_File(Config::get_item('active_project_dir') . "project.xml");
	$device_label = Mac_Labels::get_label_for_mac($mac);
	
	// Properly close FTP connection
    FTP::disconnect();

    // Ensure changes are written to disk
    Filesystem::sync();

	// Build dropdown arrays for view
	$input_mode_options = array(
		"mono" => "Mono",
		"dual" => "Dual Mono",
		"stereo" => "Stereo",
		"none" => "None"
	);

	// Header data
	$title = "MyMix Control - Edit Channel Select";
    $ID = "edit_mymix";

	require("views/header.php");
	require("views/mymix-channel-select.php");
	require("views/footer.php");

/* End of mymix-edit-channel-select.php */
