<?php
	require_once("models/login.php");
	require_once("models/mymix_lock.php");
	require_once("helpers/input.php");
	require_once("helpers/form.php");
	require_once("models/mymix_preference.php");
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("helpers/filesystem.php");

	Login::require_login();

	$mac = Input::get('mac');

	// if this device is online, pull the prefs and active profile
	$device = MyMix_Discover::get_device_by_mac("mymix", $mac);
	if(!empty($device))
	{
		// found the device, pull config from it
		FTP::pull_mymix_lock($device['ip_address'], $mac);
		
		// Properly terminate the FTP session
        FTP::disconnect();
	}
	
    // Ensure changes are written to disk
    Filesystem::sync();

	$locks = new MyMix_Lock($mac);

	$prefs = new MyMix_Preference(Config::get_item('mymix_devices_dir') . $mac . "/prefs");

	// Data for the header
	$title = "MyMix Control - MyMix Locks";
    $ID = "lock_mymix";

	require("views/header.php");
	require("views/mymix-locks.php");
	require("views/footer.php");

/* End of index.php */
