<?php
	require_once("models/login.php");
	require_once("helpers/input.php");
	require_once("models/mymix_profile.php");
	require_once("helpers/form.php");
	require_once("models/mymix_preference.php");
	require_once("helpers/mymix_logic.php");
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("models/mac_labels.php");
	require_once("helpers/filesystem.php");
	require_once("models/mymix_runtime.php");

	Login::require_login();

	$mac = Input::get('mac');
	$profile_name = Input::get('profile_name');

	// Sync the latest channel list
	MyMix_Logic::sync_profile_with_channels($mac, $profile_name);

	$prefs = new MyMix_Preference(Config::get_item('mymix_devices_dir') . $mac . "/prefs");
	$profile = new MyMix_Profile(Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $profile_name);

	$channels = MyMix_Logic::get_channels_with_extra_data($mac, $profile_name, $prefs, $profile, TRUE);
	for($i = 0; $i < count($channels); $i++)
	{
		$display_volume = $channels[$i]['remote_channel_volume'];
		
		if($display_volume > 100)
		{
			$display_volume = 100;
		}
		else if($display_volume < 0)
		{
			$display_volume = 0;
		}

		$channels[$i]['display_volume'] = $display_volume;
	}
	
	$device_label = Mac_Labels::get_label_for_mac($mac);
	
	$device = MyMix_Discover::get_device_by_mac("mymix", $mac);
	if(!empty($device))
	{
	    FTP::pull_mymix_runtime($device['ip_address'], $mac);
	    $runtime = new MyMix_Runtime(Config::get_item('mymix_devices_dir') . $mac . "/runtime");
	    $master_mute = $runtime->get_master_mute();
	}
	else
	{
	    $master_mute = "0";
	}
	
	// Properly close FTP connection
    FTP::disconnect();

    // Ensure changes are written to disk
    Filesystem::sync();

	// Build dropdown arrays for view
	// Volume options
	$volume_options[100] = "0.0dB";
    $volume_options[99] = "-0.3dB";
    $volume_options[98] = "-0.6dB";
    $volume_options[97] = "-1.0dB";
    $volume_options[96] = "-1.3dB";
    $volume_options[95] = "-1.6dB";
    $volume_options[94] = "-2.0dB";
    $volume_options[93] = "-2.3dB";
    $volume_options[92] = "-2.6dB";
    $volume_options[91] = "-3.0dB";
    $volume_options[90] = "-3.3dB";
    $volume_options[89] = "-3.6dB";
    $volume_options[88] = "-4.0dB";
    $volume_options[87] = "-4.3dB";
    $volume_options[86] = "-4.6dB";
    $volume_options[85] = "-5.0dB";
    $volume_options[84] = "-5.4dB";
    $volume_options[83] = "-5.8dB";
    $volume_options[82] = "-6.2dB";
    $volume_options[81] = "-6.4dB";
    $volume_options[80] = "-7.0dB";
    $volume_options[79] = "-7.4dB";
    $volume_options[78] = "-7.8dB";
    $volume_options[77] = "-8.2dB";
    $volume_options[76] = "-8.6dB";
    $volume_options[75] = "-9.0dB";
    $volume_options[74] = "-9.4dB";
    $volume_options[73] = "-9.7dB";
    $volume_options[72] = "-10.0dB";
    $volume_options[71] = "-10.6dB";
    $volume_options[70] = "-11.0dB";
    $volume_options[69] = "-11.6dB";
    $volume_options[68] = "-12.1dB";
    $volume_options[67] = "-12.6dB";
    $volume_options[66] = "-13.1dB";
    $volume_options[65] = "-13.6dB";
    $volume_options[64] = "-14.2dB";
    $volume_options[63] = "-14.7dB";
    $volume_options[62] = "-15.2dB";
    $volume_options[61] = "-15.7dB";
    $volume_options[60] = "-16.2dB";
    $volume_options[59] = "-16.7dB";
    $volume_options[58] = "-17.2dB";
    $volume_options[57] = "-17.7dB";
    $volume_options[56] = "-18.3dB";
    $volume_options[55] = "-18.7dB";
    $volume_options[54] = "-19.3dB";
    $volume_options[53] = "-19.7dB";
    $volume_options[52] = "-20.0dB";
    $volume_options[51] = "-20.8dB";
    $volume_options[50] = "-21.4dB";
    $volume_options[49] = "-22.2dB";
    $volume_options[48] = "-22.8dB";
    $volume_options[47] = "-23.5dB";
    $volume_options[46] = "-24.1dB";
    $volume_options[45] = "-24.5dB";
    $volume_options[44] = "-25.2dB";
    $volume_options[43] = "-28.1dB";
    $volume_options[42] = "-26.6dB";
    $volume_options[41] = "-27.1dB";
    $volume_options[40] = "-28.1dB";
    $volume_options[39] = "-28.9dB";
    $volume_options[38] = "-29.5dB";
    $volume_options[37] = "-30.0dB";
    $volume_options[36] = "-31.0dB";
    $volume_options[35] = "-31.8dB";
    $volume_options[34] = "-32.3dB";
    $volume_options[33] = "-32.8dB";
    $volume_options[32] = "-33.8dB";
    $volume_options[31] = "-34.5dB";
    $volume_options[30] = "-35.5dB";
    $volume_options[29] = "-35.8dB";
    $volume_options[28] = "-36.6dB";
    $volume_options[27] = "-37.1dB";
    $volume_options[26] = "-38.2dB";
    $volume_options[25] = "-38.8dB";
    $volume_options[24] = "-39.4dB";
    $volume_options[23] = "-40.0dB";
    $volume_options[22] = "-41.0dB";
    $volume_options[21] = "-42.7dB";
    $volume_options[20] = "-43.7dB";
    $volume_options[19] = "-44.9dB";
    $volume_options[18] = "-46.2dB";
    $volume_options[17] = "-47.8dB";
    $volume_options[16] = "-50.0dB";
    $volume_options[15] = "-52.2dB";
    $volume_options[14] = "-53.2dB";
    $volume_options[13] = "-54.1dB";
    $volume_options[12] = "-55.2dB";
    $volume_options[11] = "-56.3dB";
    $volume_options[10] = "-57.4dB";
    $volume_options[9] = "-58.5dB";
    $volume_options[8] = "-60.0dB";
    $volume_options[7] = "-62.0dB";
    $volume_options[6] = "-68.0dB";
    $volume_options[5] = "-75.0dB";
    $volume_options[4] = "-80.0dB";
    $volume_options[3] = "-85.0dB";
    $volume_options[2] = "-90.0dB";
    $volume_options[1] = "-100.0dB";
    $volume_options[0] = "inf";

	// Tone options
	for($tone = 0; $tone <= 24; $tone++)
	{
		if($tone < 12)
		{
			$tone_options[$tone] = ( (24 - $tone) - 12) . " Bass";
		}
		elseif($tone == 12)
		{
			$tone_options[$tone] = "Flat";
		}
		else
		{
			$tone_options[$tone] = ($tone - 12) . " Treble";
		}
	}

	// Effect send options
	for($effect_send = 0; $effect_send <= 100; $effect_send++)
	{
		$effect_send_options[$effect_send] = $effect_send . "%";
	}

	// Pan options
	for($pan = 0; $pan <= 100; $pan++)
    {
        if($pan == 50)
        {
            $pan_options[$pan] = "--- CENTER ---";
        }
        else 
        {
		    $pan_options[$pan] = (100 - $pan) . "% L, " . $pan . "% R";
        }
	}

	// Header data
	$title = "MyMix Control - Edit Mix";
    $ID = "edit_mymix";

	require("views/header.php");
	require("views/mymix-mix.php");
	require("views/footer.php");

/* End of mymix-edit-mix.php */
