<?php
	// Load required libraries
	require_once("helpers/config.php");
	require_once("models/login.php");
	require_once("helpers/input.php");
	require_once("models/mymix_preference.php");
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("models/mymix_profile.php");
	require_once("helpers/form.php");
	require_once("helpers/filesystem.php");

	Login::require_login();

	// Get data from libraries
	$mac = Input::get('mac');

	// if this device is online, pull the prefs
	$device = MyMix_Discover::get_device_by_mac("mymix", $mac);
	if(!empty($device))
	{
		// found the device, pull config from it
		FTP::pull_mymix_preference($device['ip_address'], $mac);
	}

	$prefs = new MyMix_Preference(Config::get_item('mymix_devices_dir') . $mac . "/prefs");
	
	if(!empty($device))
	{
		// found the device, pull config from it
		FTP::pull_mymix_profile($device['ip_address'], $mac, $prefs->get_current_profile());
	}
	
	// Properly terminate the FTP session
    FTP::disconnect();
    
    // Ensure changes are written to disk
    Filesystem::sync();

	$profiles = MyMix_Profile::get_profile_list($mac);
	for($i = 1; $i <= 20; $i++)
	{
		$timeout_options[$i] = $i;
	}
	for($i = 1; $i <= 5; $i++)
	{
		$brightness_options[$i] = $i;
	}
	$view_types = array(
		0 => "Overview", 
		1 => "List"
	);

	$title = "MyMix device page";

    $ID = "edit_mymix";

	// Render data into html
	require("views/header.php");
	require("views/mymix-pref.php");
	require("views/footer.php");

/* End of mymix-edit-prefs.php */
