<?php
	// Load required libraries
	require_once("models/mymix_profile.php");
	require_once("helpers/config.php");
	require_once("models/login.php");
	require_once("helpers/input.php");
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("helpers/form.php");
	require_once("models/mymix_preference.php");
	require_once("helpers/filesystem.php");

	Login::require_login();

	// Get data from libraries
	$mac = Input::get('mac');
	$profile_name = Input::get('profile_name');

	// if this device is online, pull the prefs and active profile
	$device = MyMix_Discover::get_device_by_mac("mymix", $mac);
	if(!empty($device))
	{
		// found the device, pull config from it
		FTP::pull_mymix_profile($device['ip_address'], $mac, $profile_name);
		
		// Properly terminate the FTP session
        FTP::disconnect();
        
        // Ensure changes are written to disk
        Filesystem::sync();
	}

	$profile = new MyMix_Profile(Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $profile_name);
	$prefs = new MyMix_Preference(Config::get_item('mymix_devices_dir') . $mac . "/prefs");

	// Options for dropdowns
	$phantom_power_options = array(
		"on" => "On",
		"off" => "Off"
	);
	$input_mode_options = array(
		"mono" => "Mono",
		"dual" => "Dual Mono",
		"stereo" => "Stereo",
		"none" => "None"
	);
	$effect_type_options = array(
		"None" => "None",
		"Small Room" => "Small Room",
		"Medium Room" => "Medium Room",
		"Large Room" => "Large Room",
		"Small Hall" => "Small Hall",
		"Medium Hall" => "Medium Hall",
		"Large Hall" => "Large Hall",
		"Delay" => "Delay"
	);
	for($i = 10; $i <= 350; $i++)
	{
		$delay_time_options[$i] = $i;
	}
	for($i = 0; $i <= 100; $i++)
	{
		$delay_repeat_options[$i] = $i;
	}
	$play_along_options = array(
		"on" => "On",
		"off" => "Off"
	);
	$bypass_options = array(
		"true" => "On",
		"false" => "Off"
	);
	$master_eq_types = array(
		"Peaking" => "Peaking",
		"Shelving" => "Shelving"
	);

	// Data for the header
	$title = "MyMix edit profile page";
    $ID = "edit_mymix";

	// Render data into html
	require("views/header.php");
	require("views/mymix-profile.php");
	require("views/footer.php");

/* End of mymix-edit-profile.php */
