<?php
	require_once("models/login.php");
	require_once("models/mymix_profile.php");
	require_once("helpers/input.php");
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("helpers/validate.php");
	require_once("helpers/filesystem.php");

	Login::require_login();

	$mac = Input::post('mac');
	$profile_name = Input::post('profile_name');

	$profile = new MyMix_Profile(Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $profile_name);
	for($i = 0; $i < $profile->get_remote_channel_count(); $i++)
	{
		$formatted_mac = Validate::format_mac_address($profile->get_remote_channel_mac($i));
		// Skip local channels, since they're excluded from the form
		if($formatted_mac == $mac)
		{
			continue;
		}

		$selected = Input::post('selected_' . $i);
		if($selected != 1)
		{
			$selected = 0;
		}
		$profile->set_remote_channel_selected($i, $selected);
	}

	for($i = $profile->get_remote_channel_count() - 1; $i >= 0; $i--)
	{
		$formatted_mac = Validate::format_mac_address($profile->get_remote_channel_mac($i));
		// Skip local channels, since they're excluded from the form
		if($formatted_mac == $mac)
		{
			continue;
		}

		$delete = Input::post('delete_' . $i);
		if($delete == 1)
		{
			$profile->delete_remote_channel($i);
		}
	}

	$profile->save();

	// if this device is online, push the profile
	$devices = MyMix_Discover::get_devices("mymix");
	foreach($devices as $this_device)
	{
		if($this_device['mac'] == $mac)
		{
			FTP::push_mymix_profile($this_device['ip_address'], $mac, $profile_name);
			
			// Properly terminate the FTP session
            FTP::disconnect();
    
			break;
		}
	}

    // Ensure changes are written to disk
    Filesystem::sync();

	Url::redirect("mymix-edit-profile.php?mac=" . urlencode($mac) . "&profile_name=" . urlencode($profile_name));

/* End of mymix-save-channel-select.php */
