<?php
	require_once("models/login.php");
	require_once("models/mymix_profile.php");
	require_once("helpers/input.php");
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("helpers/filesystem.php");

	Login::require_login();

	$mac = Input::post('mac');
	$profile_name = Input::post('profile_name');

	$effect_delay_time = Input::post('effect_delay_time');
	if(empty($effect_delay_time))
	{
		$effect_delay_time = 0;
	}

	$effect_delay_repeat = Input::post('effect_delay_repeat');
	if(empty($effect_delay_repeat))
	{
		$effect_delay_repeat = 0;
	}

	$profile = new MyMix_Profile(Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $profile_name);
	$profile->set_phantom_power(Input::post('phantom_power'));
	$profile->set_input_mode(Input::post('input_mode'));
	$profile->set_ch1_name(Input::post('ch1_name'));
	$profile->set_ch2_name(Input::post('ch2_name'));
	$profile->set_transmit_stereo_mix(Input::post('transmit_stereo_mix'));
	$profile->set_effect_type(Input::post('effect_type'));
	$profile->set_effect_delay_time($effect_delay_time);
	$profile->set_effect_delay_repeat($effect_delay_repeat);
	$profile->set_play_along(Input::post('play_along'));
	$profile->set_eq_bypass(Input::post('bypass'));
	$profile->set_low_master_eq_type(Input::post('low_master_eq_type'));
	$profile->set_high_master_eq_type(Input::post('high_master_eq_type'));
	for($i = 0; $i < 4; $i++)
	{
		$frequency = Input::post('frequency_' . $i);
		if(empty($frequency))
		{
			$frequency = 0;
		}
		$q = Input::post('q_' . $i);
		if(empty($q))
		{
			$q = 0;
		}
		$gain = Input::post('gain_' . $i);
		if(empty($gain))
		{
			$gain = 0;
		}
		$profile->set_band_frequency_index($i, $frequency);
		$profile->set_band_q_index($i, $q);
		$profile->set_band_gain_index($i, $gain);
	}
	$profile->save();

	// if this device is online, push the profile
	$devices = MyMix_Discover::get_devices("mymix");
	foreach($devices as $this_device)
	{
		if($this_device['mac'] == $mac)
		{
			FTP::push_mymix_profile($this_device['ip_address'], $mac, $profile_name);
			break;
		}
	}
	
	// Properly terminate the FTP session
    FTP::disconnect();
    
    // Ensure changes are written to disk
    Filesystem::sync();

	Url::redirect("mymix-detail.php?mac=" . urlencode($mac));

/* End of save-mymix.php */
