<?php
    require_once("helpers/config.php");
    require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("helpers/clipboard.php");
	require_once("helpers/input.php");
	require_once("helpers/url.php");
	require_once("helpers/filesystem.php");
	require_once("models/mymix_profile.php");

    $paste_type = Input::post("paste_type");

    switch($paste_type)
	{
		case "mymix-profile":
		    $paste_to = Input::post("paste_profile");
		    if(count($paste_to) == 0)
		    {
                die("No destination device selected");
		    }
		    $paste_data = Clipboard::get_mymix_profile();
		    if(empty($paste_data['mac']) || empty($paste_data['profile_name']))
		    {
		        die("No copied profile!");
		    }
		    Clipboard::clear_mymix_profile();
			$source = Config::get_item('mymix_devices_dir') . $paste_data['mac'] . "/profiles/" . $paste_data['profile_name'];
			// Paste to each of the selected devices
			foreach($paste_to as $mac)
			{
				$new_profile_name = MyMix_Profile::sanitize_name($paste_data['profile_name']);
			    $dest = Config::get_item('mymix_devices_dir') . $mac . "/profiles/" . $new_profile_name;

			    // do the import
			    copy($source, $dest);

			    // push the device config
			    $device = MyMix_Discover::get_device_by_mac("mymix", $mac);
			    if(!empty($device['ip_address']))
			    {
			        FTP::push_mymix_profile($device['ip_address'], $mac, $new_profile_name);
			    }
			}
			$redirect_url = "select-mymix.php";
			break;
		case "mymix-locks":
		    $paste_to = Input::post("paste_locks");
		    $paste_data = Clipboard::get_mymix_locks();
		    if(empty($paste_data['mac']))
		    {
		        die("No copied lock settings!");
		    }
		    Clipboard::clear_mymix_locks();
			$source = Config::get_item('mymix_devices_dir') . $paste_data['mac'] . "/menulock/menulock_mgr";
			// Paste to each of the selected devices
			foreach($paste_to as $mac)
			{
			    $dest = Config::get_item('mymix_devices_dir') . $mac . "/menulock/menulock_mgr";
			
			    copy($source, $dest);

			    // push the device config
			    $device = MyMix_Discover::get_device_by_mac("mymix", $mac);
			    if(!empty($device['ip_address']))
			    {
			        FTP::push_mymix_lock($device['ip_address'], $mac);
			    }
			}
			$redirect_url = "select-mymix.php";
			break;
		default:
			throw new Exception("Unknown paste type (" . $paste_type . ")");
			break;
	}

    // Properly terminate the FTP session
    FTP::disconnect();
    
    // Ensure changes are written to disk
    Filesystem::sync();

	Url::redirect($redirect_url);

/* End of paste.php */
