<?php

require_once("helpers/input.php");
require_once("models/login.php");
require_once("models/users.php");
require_once("models/project.php");
require_once("models/mymix_device.php");
require_once("models/mymix_profile.php");
require_once("models/mymix_preference.php");
require_once("models/iex16_profile.php");
require_once("models/mymix_lock.php");
require_once("helpers/filesystem.php");
require_once("models/mac_labels.php");

Login::require_login();

$confirm = Input::post("confirm");

if($confirm == "yes")
{
	// Log out
	Login::log_out();

	// Reset passwords
	Users::change_password("admin", "password");
	Users::change_password("user", "password");

	// Start new project
	Project::create_new();

	// Erase saved projects
	$project_list = Project::get_local_saved_list();
	foreach($project_list as $this_project)
	{
		Project::delete_saved_project($this_project);
	}

	// Erase saved devices
	$mymix_list = MyMix_Device::get_local_saved_devices();
	foreach($mymix_list as $this_mymix)
	{
		MyMix_Device::delete_local_saved_device($this_mymix);
	}

	/* IEX16 devices currently consist of only the prefs file
	$iex16_list = IEX16_Device::get_local_saved_devices();
	foreach($iex16_list as $this_iex16)
	{
		IEX16_Device::delete_local_saved_device($this_iex16);
	}
	*/

	// Erase saved profiles
	$mymix_profiles = MyMix_Profile::get_local_saved_profiles();
	foreach($mymix_profiles as $this_profile)
	{
		MyMix_Profile::delete_local_saved_profile($this_profile);
	}

	// Erase saved preferences
	$mymix_prefs = MyMix_Preference::get_local_saved_prefs();
	foreach($mymix_prefs as $this_pref)
	{
		MyMix_Preference::delete_local_saved_pref($this_pref);
	}

	$iex16_prefs = IEX16_Profile::get_local_saved_prefs();
	foreach($iex16_prefs as $this_pref)
	{
		IEX16_Profile::delete_local_saved_pref($this_pref);
	}

	// Erase saved locked settings
	$mymix_locks = MyMix_Lock::get_local_saved_locks();
	foreach($mymix_locks as $this_lock)
	{
		MyMix_Lock::delete_local_saved_lock($this_lock);
	}
	
	// Erase saved device labels
	$labels = Mac_Labels::get_all_labels();
	foreach($labels as $this_label)
	{
	    Mac_Labels::delete_label($this_label['id']);
	}
	Mac_Labels::save();
	
    // Ensure changes are written to disk
    Filesystem::sync();

	Url::redirect("admin.php");
}
else
{
	$title = "Confirm reset to defaults";
	$ID = "home";

	require("views/header.php");
	require("views/reset-confirm.php");
	require("views/footer.php");
}

/* end of reset-defaults.php */
