<?php
	require_once("models/login.php");
	require_once("models/iex16_profile.php");
	require_once("helpers/input.php");
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("helpers/filesystem.php");

	Login::require_login();

	$mac = Input::post('mac');
	$profile = new IEX16_Profile(Config::get_item('iex16_devices_dir') . $mac . "/prefs");
	$profile->set_unit_name(Input::post('unit_name'));
	$profile->set_locked(Input::post('locked') == "1");
	$profile->set_adat(0, Input::post('adat0'));
	$profile->set_adat(1, Input::post('adat1'));
	for($i = 0; $i < 16; $i++)
	{
		$profile->set_channel_name($i, Input::post('channel_name_' . $i));
		$profile->set_channel_gain($i, Input::post('channel_gain_' . $i));
		// input mode is for channel pairs, not individual channels
		if(($i % 2) == 0)
		{
			$profile->set_channel_input_mode($i, Input::post('channel_input_mode_' . $i));
			$profile->set_channel_input_mode($i + 1, Input::post('channel_input_mode_' . $i));
		}
	}
	$profile->save();

	// match mac to IP if the device is online
	$devices = MyMix_Discover::get_devices("iex16");
	foreach($devices as $this_device)
	{
		if($this_device['mac'] == $mac)
		{
			FTP::push_iex16_profile($this_device['ip_address'], $mac);
			
			// Properly terminate the FTP session
            FTP::disconnect();
    
			break;
		}
	}
	
    // Ensure changes are written to disk
    Filesystem::sync();

	Url::redirect("edit-iex16.php?mac=" . urlencode($mac));

/* End of save-iex16.php */
