<?php
	require_once("models/mymix_discover.php");
	require_once("helpers/ftp.php");
	require_once("models/login.php");
	require_once("helpers/config.php");
	require_once("models/mac_labels.php");
	require_once("models/iex16_profile.php");

	Login::require_login();

	$known_devices = array();
	exec("ls " . Config::get_item('iex16_devices_dir'), $known_devices);

    // Attempt to pull data from online devices.
    // This will also check that the devices are actually online.
	$devices = MyMix_Discover::get_devices("iex16");
	foreach($devices as &$this_device)
	{
		FTP::pull_iex16_profile($this_device['ip_address'], $this_device['mac']);
	}

    // Get the list of online devices again, now that they've been checked.
	$devices = MyMix_Discover::get_devices("iex16");

    // Add offline devices to the list.
	foreach($known_devices as $known_device)
	{
		$found_it = FALSE;
		foreach($devices as $online_device)
		{
			if($known_device == $online_device['mac'])
			{
				$found_it = TRUE;
				break;
			}
		}
		if(!$found_it)
		{
			$devices[] = array(
				'mac' => $known_device,
				'name' => "",
				'status' => "offline"
			);
		}
	}
	
	// Add labels to all devices, if they are set.
	// Add names to all devices from locally stored preferences. The prefs
	// tend to be more up-to-date than discovery info.
	foreach($devices as &$this_device)
	{
		$this_device['label'] = Mac_Labels::get_label_for_mac($this_device['mac']);
		$prefs = new IEX16_Profile(Config::get_item('iex16_devices_dir') . $this_device['mac'] . "/prefs");
		$this_device['name'] = $prefs->get_unit_name();
	}

	// Data for header
	$title = "Select IEX16 device";
    $ID = "iex16";

	require("views/header.php");
	require("views/iex16-table.php");
	require("views/footer.php");

/* End of view-mymix.php */
